	SUBROUTINE VTGCUR(IROW,ICOL)
C
C	Fonction:	permet a l'utilisateur de connaitre la position
C			courante (ligne et colonne) du curseur
C	Arguments:	IROW et ICOL sont des variables entieres
C			retournees par le sous-programme et qui contiennent
C			les numeros de ligne et de colonne.
C
	BYTE CHAR(5),INCHR(10),IBYTE,FMT(16),ASCII(3)
	EQUIVALENCE (ISTR,INCHR(1))
	DATA FMT/'(','2','X',',','I','?',',','1','X',',','I','?',
     1	',','1','X',')'/		!FORMAT de decodage
	DATA CHAR/27,'[','6','n',0/
	DATA ASCII/'1','2','3'/
	JSW=IPEEK("44)
	CALL IPOKE("44,"10000.OR.JSW)	!Mode special
	CALL OUTSTR(CHAR)		!Envoi de la sequence "Escape"
		DO 10 I=1,9			!
1		ITEST=ITTINR()			!
		IF (ITEST.LT.0) GOTO 1		!Boucle de
		IBYTE=ITEST			!reception de
		INCHR(I)=IBYTE			!la reponse
		IF (IBYTE.EQ.'R') GOTO 12	!
10		CONTINUE			!
C------ Decodage de la reponse ------------------------------------------------
12	NCHAR=I		!Nombre de caracteres a decoder
	IF(INCHR(4).NE.';') GOTO 20
	FMT(6)='1'	!Modifier le FORMAT
	ISEMI=4		!Pointer vers la position du ";"
	GOTO 30		!Trouver la prochaine cahine numerique
20	FMT(6)='2'	!Decoder 2 caracteres
	ISEMI=5		!Sauter le ";"
30	I=0
32	I=I+1		!I est le pointeur de position
	IF(INCHR(ISEMI+1+I).NE.'R') GOTO 32
	FMT(12)=ASCII(I)	!Modifier le FORMAT pour le 2eme caractere
100	DECODE(NCHAR,FMT,INCHR(1))IROW,ICOL
	CALL IPOKE("44,JSW)	!Retour au mode normal
	RETURN
	END
